Package com.google.android.exoplayer2.source.rtsp.reader

## Class DefaultRtpPayloadReaderFactory

- java.lang.Object
- - com.google.android.exoplayer2.source.rtsp.reader.DefaultRtpPayloadReaderFactory

- All Implemented Interfaces:
    `RtpPayloadReader.Factory`

      public final class DefaultRtpPayloadReaderFactory
      extends Object
      implements RtpPayloadReader.Factory

  Default `RtpPayloadReader.Factory` implementation.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultRtpPayloadReaderFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RtpPayloadReader` | `createPayloadReader​(RtpPayloadFormat payloadFormat)` | Returns a `RtpPayloadReader` for a given `RtpPayloadFormat`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRtpPayloadReaderFactory

          public DefaultRtpPayloadReaderFactory()

  - ### Method Detail

    - #### createPayloadReader

          @Nullable
          public RtpPayloadReader createPayloadReader​(RtpPayloadFormat payloadFormat)

      Description copied from interface: `RtpPayloadReader.Factory`
      Returns a `RtpPayloadReader` for a given `RtpPayloadFormat`.
      Specified by:
        `createPayloadReader` in interface `RtpPayloadReader.Factory`
      Parameters:
        `payloadFormat` - The `RtpPayloadFormat` of the RTP stream.
      Returns:
        A `RtpPayloadReader` for the packet stream, or `null` if the stream format is not supported.